Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(18)

Issue 1392993002: Strictly block blockable mixed subresources in subframes (Closed)

Created:
3 years, 4 months ago by estark
Modified:
3 years, 4 months ago
Reviewers:
Mike West, felt, Mark P
CC:
chromium-reviews, tyoshino+watch_chromium.org, gavinp+loader_chromium.org, asvitkine+watch_chromium.org, blink-reviews, kinuko+watch, Nate Chapin
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Strictly block blockable mixed subresources in subframes This CL effectively stops showing the mixed content shield when a subframe loads a blockable mixed resource. It's a step on the way to removing the mixed content shield entirely. Intent to deprecate: https://groups.google.com/a/chromium.org/d/msg/blink-dev/1yWQaXmkXpA/BDV1-dC9su4J BUG=536925 Committed: https://crrev.com/7ab4d1e27a89e5cff91386e13c3b8736f6b15749 Cr-Commit-Position: refs/heads/master@{#354838}

Patch Set 1 #

Patch Set 2 : rebase #

Patch Set 3 : add a layout test #

Patch Set 4 : fix content settings browser test #

Total comments: 2

Patch Set 5 : rebase #

Messages

Total messages: 34 (9 generated)
estark
mkwst, are you still on board with removing the mixed content shield when a subframe ...
3 years, 4 months ago (2015-10-07 17:07:39 UTC) #2
estark
ping :)
3 years, 4 months ago (2015-10-09 07:28:42 UTC) #3
Mike West
On 2015/10/07 at 17:07:39, estark wrote: > mkwst, are you still on board with removing ...
3 years, 4 months ago (2015-10-09 15:17:36 UTC) #4
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1392993002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1392993002/1
3 years, 4 months ago (2015-10-09 15:17:55 UTC) #6
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: ios_dbg_simulator_ninja on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios_dbg_simulator_ninja/builds/79551) ios_rel_device_ninja on ...
3 years, 4 months ago (2015-10-09 15:21:05 UTC) #8
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1392993002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1392993002/20001
3 years, 4 months ago (2015-10-09 15:30:09 UTC) #10
estark
On 2015/10/09 15:17:36, Mike West (slow) wrote: > On 2015/10/07 at 17:07:39, estark wrote: > ...
3 years, 4 months ago (2015-10-09 15:59:50 UTC) #11
estark
Fixed a failing test. Another thought: looking at this again, I wonder if we should ...
3 years, 4 months ago (2015-10-09 18:12:37 UTC) #12
Mike West
On 2015/10/09 at 18:12:37, estark wrote: > Fixed a failing test. > > Another thought: ...
3 years, 4 months ago (2015-10-10 04:49:23 UTC) #13
estark
Sounds good, thanks Mike. felt: can you please review content_setting_bubble_model_browsertest.cc? mpearson: can you please review ...
3 years, 4 months ago (2015-10-10 04:55:36 UTC) #15
felt
https://codereview.chromium.org/1392993002/diff/60001/third_party/WebKit/Source/core/loader/MixedContentChecker.cpp File third_party/WebKit/Source/core/loader/MixedContentChecker.cpp (right): https://codereview.chromium.org/1392993002/diff/60001/third_party/WebKit/Source/core/loader/MixedContentChecker.cpp#newcode337 third_party/WebKit/Source/core/loader/MixedContentChecker.cpp:337: // content is allowed. Why is that decision being ...
3 years, 4 months ago (2015-10-12 05:52:02 UTC) #16
felt
https://codereview.chromium.org/1392993002/diff/60001/third_party/WebKit/Source/core/loader/MixedContentChecker.cpp File third_party/WebKit/Source/core/loader/MixedContentChecker.cpp (right): https://codereview.chromium.org/1392993002/diff/60001/third_party/WebKit/Source/core/loader/MixedContentChecker.cpp#newcode337 third_party/WebKit/Source/core/loader/MixedContentChecker.cpp:337: // content is allowed. On 2015/10/12 05:52:02, felt wrote: ...
3 years, 4 months ago (2015-10-12 05:54:07 UTC) #17
estark
On 2015/10/12 05:54:07, felt wrote: > https://codereview.chromium.org/1392993002/diff/60001/third_party/WebKit/Source/core/loader/MixedContentChecker.cpp > File third_party/WebKit/Source/core/loader/MixedContentChecker.cpp (right): > > https://codereview.chromium.org/1392993002/diff/60001/third_party/WebKit/Source/core/loader/MixedContentChecker.cpp#newcode337 > ...
3 years, 4 months ago (2015-10-12 11:05:19 UTC) #18
Mark P
histograms.xml lgtm for what it's worth
3 years, 4 months ago (2015-10-13 20:55:01 UTC) #19
felt
the browsertest change lgtm
3 years, 4 months ago (2015-10-14 00:44:19 UTC) #20
felt
On 2015/10/12 11:05:19, estark wrote: > On 2015/10/12 05:54:07, felt wrote: > > > https://codereview.chromium.org/1392993002/diff/60001/third_party/WebKit/Source/core/loader/MixedContentChecker.cpp ...
3 years, 4 months ago (2015-10-14 00:45:20 UTC) #21
Mike West
On 2015/10/14 at 00:45:20, felt wrote: > > Hrm, I keep going back and forth... ...
3 years, 4 months ago (2015-10-14 07:36:51 UTC) #22
felt
On 2015/10/14 07:36:51, Mike West (slow) wrote: > On 2015/10/14 at 00:45:20, felt wrote: > ...
3 years, 4 months ago (2015-10-14 07:44:35 UTC) #23
Mike West
On 2015/10/14 at 07:44:35, felt wrote: > That's what I am asking. Have you checked ...
3 years, 4 months ago (2015-10-14 08:20:43 UTC) #24
Mike West
On 2015/10/14 at 08:20:43, Mike West (slow) wrote: > On 2015/10/14 at 07:44:35, felt wrote: ...
3 years, 4 months ago (2015-10-19 11:57:24 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1392993002/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1392993002/60001
3 years, 4 months ago (2015-10-19 14:09:22 UTC) #27
commit-bot: I haz the power
Try jobs failed on following builders: ios_dbg_simulator_ninja on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios_dbg_simulator_ninja/builds/82933) ios_rel_device_ninja on tryserver.chromium.mac (JOB_FAILED, ...
3 years, 4 months ago (2015-10-19 14:11:49 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1392993002/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1392993002/80001
3 years, 4 months ago (2015-10-19 17:58:52 UTC) #32
commit-bot: I haz the power
Committed patchset #5 (id:80001)
3 years, 4 months ago (2015-10-19 19:59:40 UTC) #33
commit-bot: I haz the power
3 years, 4 months ago (2015-10-19 20:01:22 UTC) #34
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/7ab4d1e27a89e5cff91386e13c3b8736f6b15749
Cr-Commit-Position: refs/heads/master@{#354838}

Powered by Google App Engine
This is Rietveld 408576698